package com.ruoyi.ibs.grid.domain.vo;

import java.io.Serializable;

public class AuditVo implements Serializable {

    private Long id;
    /**
     * 锚点名称。同客户名称，用户导入/图商返回
     */
    private String anchorName;

    //操作者姓名
    private String nickName;
    //更新时间
    private String updateTime;
    /**
     * 所在行业。用户编辑输入/图商返回
     */
    private String belongBusiness;
    /**
     * 来源，导入或地图更新推送，取最新一次地址更新时对应的来源（导入/编辑均为手工导入）
     */
    private String source;
    /**
     * 新成立/地址变化
     */
    private String type;
    /**
     * 地址类型;类似经营地址/注册地址
     */
    private String addressName;

    private String custStatus;

    private String custAddressStatus;
    /**
     * 地址，用户导入/编辑输入/图商返回，原地址取值
     */
    private String address;
    /**
     * 现地址
     */
    private String addressNow;

    private String provinceNow;
    private String cityNow;
    private String countyNow;
    /**
     * 现地址街道/乡镇
     */
    private String streetNow;
    /**
     * 现地址社区/村
     */
    private String communityNow;
    /**
     * 现地址详细地址，楼幢门牌号
     */
    private String addressDetailNow;
    /**
     * 地址备注
     */
    private String addressRemark;
    private String regionCode;

    public String getCustStatus() {
        return custStatus;
    }

    public void setCustStatus(String custStatus) {
        this.custStatus = custStatus;
    }

    public String getCustAddressStatus() {
        return custAddressStatus;
    }

    public void setCustAddressStatus(String custAddressStatus) {
        this.custAddressStatus = custAddressStatus;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getProvinceNow() {
        return provinceNow;
    }

    public void setProvinceNow(String provinceNow) {
        this.provinceNow = provinceNow;
    }

    public String getCityNow() {
        return cityNow;
    }

    public void setCityNow(String cityNow) {
        this.cityNow = cityNow;
    }

    public String getCountyNow() {
        return countyNow;
    }

    public void setCountyNow(String countyNow) {
        this.countyNow = countyNow;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public String getBelongBusiness() {
        return belongBusiness;
    }

    public void setBelongBusiness(String belongBusiness) {
        this.belongBusiness = belongBusiness;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddressNow() {
        return addressNow;
    }

    public void setAddressNow(String addressNow) {
        this.addressNow = addressNow;
    }

    public String getStreetNow() {
        return streetNow;
    }

    public void setStreetNow(String streetNow) {
        this.streetNow = streetNow;
    }

    public String getCommunityNow() {
        return communityNow;
    }

    public void setCommunityNow(String communityNow) {
        this.communityNow = communityNow;
    }

    public String getAddressDetailNow() {
        return addressDetailNow;
    }

    public void setAddressDetailNow(String addressDetailNow) {
        this.addressDetailNow = addressDetailNow;
    }

    public String getAddressRemark() {
        return addressRemark;
    }

    public void setAddressRemark(String addressRemark) {
        this.addressRemark = addressRemark;
    }
}
